#define HAMDEBUG
#include "hamiltonway.h"

using namespace std;

int main(){
    for (int n = 1; n < 20; n++)
        for (int m = 1; m < 20; m++)
            for (int i = 0; i < n; i++)
                for (int j = 0; j < m; j++)
                    HamiltonWayMaker::makeWay(n,m,i,j);
            
}
